Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Code cleanup/refactoring Estimated time: 0.00 hour

Target version:    

Description

IssuesSystemTest#test_bulk_edit will always fail.

% RAILS_ENV=test bundle exec rake test TEST=test/system/issues_test.rb

Run options: --seed 55711

# Running:

Capybara starting Puma...

* Version 5.5.2 , codename: Zawgyi

* Min threads: 0, max threads: 4

* Listening on http://127.0.0.1:64446

....vendor/bundle/ruby/2.7.0/gems/capybara-3.36.0/lib/capybara/session.rb:772: warning: Using the 

last argument as keyword parameters is deprecated; maybe ** should be added to the call

vendor/bundle/ruby/2.7.0/gems/capybara-3.36.0/lib/capybara/node/matchers.rb:495: warning: The call

ed method `has_select?' is defined here

.[Screenshot Image]: tmp/screenshots/failures_test_bulk_edit.png

E

Error:

IssuesSystemTest#test_bulk_edit:

Capybara::ElementNotFound: Unable to find link "Edit" within #<Capybara::Node::Element tag="div" p

ath="/HTML/BODY[1]/DIV[1]/DIV[4]/DIV[2]/DIV[4]">

    test/system/issues_test.rb:369:in `block in test_bulk_edit'

    test/system/issues_test.rb:368:in `test_bulk_edit'

rails test test/system/issues_test.rb:356

................

Finished in 46.782984s, 0.4703 runs/s, 3.7621 assertions/s.

22 runs, 176 assertions, 0 failures, 1 errors, 0 skips

Related issues:

Related to Redmine - Feature #35770: Change "Edit" label in the context menu ... Closed

Associated revisions

Revision 21324 - 2021-12-25 03:24 - Go MAEDA

IssuesSystemTest#test_bulk_edit fails due to r21248 (#35770, #36352).

Patch by Yuichi HARADA.

History

#1 - 2021-12-24 09:04 - Yuichi HARADA

- File 36352.patch added

The following patch will solve the issue.

diff --git a/test/system/issues_test.rb b/test/system/issues_test.rb

index 4f4939a9b3..ab31a3e33b 100644

--- a/test/system/issues_test.rb

+++ b/test/system/issues_test.rb

2024-04-20 1/2



@@ -366,7 +366,7 @@ class IssuesSystemTest < ApplicationSystemTestCase

     find('tr#issue-4 input[type=checkbox]').click

     find('tr#issue-1 td.updated_on').right_click

     within('#context-menu') do

-      click_link 'Edit'

+      click_link 'Bulk edit'

     end

     assert_current_path '/issues/bulk_edit', :ignore_query => true

     submit_buttons = page.all('input[type=submit]')

@@ -389,7 +389,7 @@ class IssuesSystemTest < ApplicationSystemTestCase

     find('tr#issue-4 input[type=checkbox]').click

     find('tr#issue-1 td.updated_on').right_click

     within('#context-menu') do

-      click_link 'Edit'

+      click_link 'Bulk edit'

     end

     assert_current_path '/issues/bulk_edit', :ignore_query => true

     submit_buttons = page.all('input[type=submit]')

#2 - 2021-12-24 10:22 - Go MAEDA

- Related to Feature #35770: Change "Edit" label in the context menu to "Bulk Edit" when multiple issues are selected added

#3 - 2021-12-25 03:25 - Go MAEDA

- Subject changed from IssuesSystemTest#test_bulk_edit is fail to IssuesSystemTest#test_bulk_edit fails due to r21248

- Status changed from New to Closed

- Assignee set to Go MAEDA

Committed the fix as a part of #35770. Thank you.
